Bug 1128425 - RFE: Missing recursive dependency resolution in repoquery
RFE: Missing recursive dependency resolution in repoquery
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-10 07:52 EDT by Honza Horak
Modified: 2015-06-27 18:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-27 18:32:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2014-08-10 07:52:44 EDT
Description of problem:
I like yum-utils' command `repoquery --tree-requires something` to finding out why some package requires some other package. Is this possible in dnf somehow? If not, I'd like to ask if it could be added.
Comment 1 Honza Silhan 2014-08-11 09:01:17 EDT
Hi, in current version of dnf there's no alternative to "--tree-requires". You could write your own dnf plugin to accomplish that behaviour. If more people ask for this feature we will consider implementing it.
Comment 2 Fedora Update System 2015-06-24 08:08:43 EDT
dnf-plugins-core-0.1.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.9-1.fc22
Comment 3 Fedora Update System 2015-06-25 04:22:03 EDT
Package dnf-plugins-core-0.1.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10706/dnf-plugins-core-0.1.9-1.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-06-27 18:32:52 EDT
dnf-plugins-core-0.1.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.